package com.izouma.nineth.web;

import com.izouma.nineth.config.GeneralProperties;
import lombok.AllArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.GetMapping;

@Controller
@AllArgsConstructor
public class AgreementController {
    @Autowired
    private GeneralProperties generalProperties;

    @GetMapping("/privacy.html")
    public String privacy(Model model) {
        model.addAttribute("properties", generalProperties);
        return  "Privacy";
    }

    @GetMapping("/service.html")
    public String service(Model model) {
        model.addAttribute("properties", generalProperties);
        return  "Service";
    }

    @GetMapping("/walletServiceAgreement.html")
    public String walletServiceAgreement(Model model) {
        model.addAttribute("properties", generalProperties);
        return "walletServiceAgreement";
    }

    @GetMapping("/walletPrivateAgreement.html")
    public String walletPrivateAgreement(Model model) {
        model.addAttribute("properties", generalProperties);
        return "walletPrivateAgreement";
    }

    @GetMapping("/walletRenewInfo.html")
    public String walletRenewInfo(Model model) {
        model.addAttribute("properties", generalProperties);
        return "walletRenewInfo";
    }



}
